LightLang

Utilities

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5.0
Description:

LightLang - is a set of language programs for Linux. It'ss main part of the system of electronic dictionaries. It consists of several programs - SL (the search kernel), XSL (the program's graphical interface written by Qt4) LLRepo (the utility for working with LightLang repositories).
Additional packages expand the program's functionality, adding, for example, a possibility to hear the pronunciation of a word.
The system is set up in such a manner that you do not have to use the SL graphical interface, and invoke the search kernel directly from the command line instead. It is very convenient when using systems without the X-server.
This UNIX-native program. But sacrificing krosplatformennostyu we were able to achieve productivity and versatility. To install, you will need PyQt4> = 4.2, python-xlib. Before installing read instruction in the directory "readme".
The program originally created for Russian users, but this does not prevent it to have dictionaries and other languages. There is a translation of documents and the interface for English.
We hope that this will be a worthy response GNOME and StarDict.
ru|enTranslate

Also, you can download Gnome version of GUI - SLog(it's not completely similar with xsl) and editor of special sl dictionaries - LightLang Editor.

F.A.Q
- Very often people ask us about error of QtXmlHandler. This is not a problem of the program. In some python-qt4 versions there isn't support of module QtXml. You can download the support separately or update python-qt4.

Last changelog:

11 years ago

SL:
-An options to output translation in dictionary's original format is added.
XSL:

-Translate-sites menu extension is added;
-Possibility of window autodetection by Spy is added;
-A menu for opening links is added in the search panel;
-Processing of performance-critical sections of the code is improved;
-A normal About dialog is finally made;
-Tray icon and it's menu are modified;
-Art-scheme is changed.
LLRepo:

-The program is fully written in Python;
-Option syntax is changed.

matt2002

11 years ago

compiles and installs without hiccup on 64 bit OpenSUSE 10.3. Nice app, will be useful for me.

I downloaded also the dicts a nice guy has converted from stardict (as listed in your forum) and all seem to work fine. It is quite helpful to see the words explained in several dicts at the same time, this speeds up finding the best explanation.

One problem though, I configured aplay to be the sound player, because on my system play does not work. However the sounds played are just garbled noise. How can I switch playing sound to mplayer or others?

One thing to improve is may be to mention earlier that during install you can download dicts, I had been searching and searching where to download them. Only later, when I compiled and read the readme, then I understood.

Again, this is a nice app, and showing nicely the power of python and PyQt.

Now, if someone could add some English-German or English-French or French-German or English-Thai dicts, that would be lovely.

Keep it up!
Matt

Report

C

LinuxDooM

10 years ago

Thank you very much!

Report

troorl13

11 years ago

Great app, thanks!

Report

C

LinuxDooM

11 years ago

May be you have some advices for LightLang?

Report

leveldoc

11 years ago

I downloaded the Ubuntu Package (not the editor, though, do I need to install that too?) and it gives the following error:
Traceback (most recent call last):
File "/usr/bin/xsl", line 50, in <module>
import Main # raises accept
File "/usr/lib/xsl/pyqt4/Main.py", line 26, in <module>
import TrayIcon
File "/usr/lib/xsl/pyqt4/TrayIcon.py", line 22, in <module>
import TranslateSitesMenu
File "/usr/lib/xsl/pyqt4/TranslateSitesMenu.py", line 29, in <module>
class TrSiteSAXHandler(Qt.QXmlDefaultHandler) :
AttributeError: 'module' object has no attribute 'QXmlDefaultHandler'


Regarding the speech processing, why not use festival?

Report

C

LinuxDooM

11 years ago

It means, that installed package python-qt4 don't support module QtXml. You should update the package or install xml support separatly. I have ubuntu and in my python-qt4 package there is module QtXml. (My mirror: ru.archive.ubuntu.com)

Report

C

LinuxDooM

11 years ago

As i see, people download it, but why nobody comments it?

Report

m0nk

11 years ago

Hi,
just tested your app and it looks very interesting, but how about using some kind of text-to-speech processing for the pronunciation. Downloading 60+MB of ogg files shouldn't be the aim. And of course the should be more dicts available.
Btw. your download script returns 'error 500' when trying to list dicts and sounds.
With tts this could become a real nice piece of software.
Carry on!

Greetings
m0nk

Report

C

LinuxDooM

11 years ago

Thank you! We are glad to hear it!

Report

cyborg

11 years ago

really sounds an interesting project, will check it out.

Report

11 years ago

SL:
-An options to output translation in dictionary's original format is added.
XSL:

-Translate-sites menu extension is added;
-Possibility of window autodetection by Spy is added;
-A menu for opening links is added in the search panel;
-Processing of performance-critical sections of the code is improved;
-A normal About dialog is finally made;
-Tray icon and it's menu are modified;
-Art-scheme is changed.
LLRepo:

-The program is fully written in Python;
-Option syntax is changed.

12345678910
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.8.5
updated Feb 05 2008
added Nov 25 2007
downloads today
0
page views today 5
System Tags app software